
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <errno.h>

#include "note_data.h"
#include "command.h"
#include "time.h"
#include "common.h"
#include "console.h"
#include "polyphony.h"
#include "reader.h"
#include "wave.h"


// Linux console版
#include "sample_score.h"
int main(int argc, char *argv[])
{
  Reader< VirtualPolyphony< ConsoleBeep, PianoEnvelope, EPianoEnvelope, DrumEnvelope, 16 > >
    reader( "/dev/console", 163, piano_score, epiano_score, drum_score );
  while( !reader.isEnd() ) {
    reader();
  }
  return EXIT_SUCCESS;
}

/*
// Wave版
#include "sample_score.h"
int main(int argc, char *argv[])
{
  Reader< VirtualPolyphony< WaveBeep, PianoEnvelope, EPianoEnvelope, DrumEnvelope, 16 > >
    reader( "dump.wav", 163, piano_score, epiano_score, drum_score );
  while( !reader.isEnd() ) {
    reader();
  }
  return EXIT_SUCCESS;
}
*/
