#ifndef BEEP_WAVE_H
#define BEEP_WAVE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "time.h"
#include "common.h"

#include <boost/shared_ptr.hpp>
#include <fstream>

#define PLAYBACK_FREQUENCY 48000

class WaveBeep {
  public:
    WaveBeep( const char *_device_name );
    virtual ~WaveBeep();
    void setTone( int _new_tone );
    double getTime() const;
    void sleep( double _until );
    void noize( double _until );
  private:
    signed short int getWave();
    signed short int getNoize();
    int current_tone;
    unsigned int sample_count;
    float current_freq;
    double current_time;
    boost::shared_ptr< std::fstream > output_file;
};

#endif
